Skip to main content
PATCH
/
userGroups
/
{id}
Update user group
curl --request PATCH \
  --url https://api.galtea.ai/userGroups/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "Example Name"
}
'
{
  "id": "ug_123",
  "organizationId": "org_123",
  "name": "QA Team",
  "type": "EVALUATOR",
  "description": "Quality assurance team",
  "createdAt": "2023-11-07T05:31:56Z",
  "userIds": [
    "user_123"
  ],
  "metricIds": [
    "metric_123"
  ]
}

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Path Parameters

id
string
required

User group ID

Body

application/json
name
string
description
string
Example:

"Example Name"

Response

User group updated successfully

id
string
Example:

"ug_123"

organizationId
string
Example:

"org_123"

name
string
Example:

"QA Team"

type
enum<string>
Available options:
EVALUATOR
Example:

"EVALUATOR"

description
string | null
Example:

"Quality assurance team"

createdAt
string<date-time>
userIds
string[]
Example:
["user_123"]
metricIds
string[]
Example:
["metric_123"]